org.apache.felix.ipojo.manipulator.util

## Class IsolatedClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.felix.ipojo.manipulator.util.IsolatedClassLoader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class IsolatedClassLoader
    extends URLClassLoader

A classloader used by the `Classpath`.

### Constructor Summary

Constructors
Constructor and Description
`IsolatedClassLoader()`
`IsolatedClassLoader(ClassLoader parent, boolean childDelegation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addURL(URL url)`
`Class` `loadClass(String name)`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsolatedClassLoader

    public IsolatedClassLoader(ClassLoader parent,
                               boolean childDelegation)

#### IsolatedClassLoader

    public IsolatedClassLoader()

### Method Detail

#### addURL

    public void addURL(URL url)

Overrides:
  `addURL` in class `URLClassLoader`

#### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`